/* BMP16.H

   Copyright (c)2002 Andrew Durdin. Email: andy@durdin.net

   You have permission to use this code in your own projects, on the conditions
   that leave this notice intact, and that you give proper credit in your final
   program. It'd be nice if you let me know what you do with it, also.
*/

typedef struct BITMAP16 {
	int w, h;	/* bitmap is 4xh high if planar */
    long linew;	/* width of line in pixels (includes padding) */
	int planar; /* 1 if pixels are stored by plane */
    unsigned char **lines;
    unsigned char *bits;
} BITMAP16;

void bmp_free( BITMAP16 *bmp );
BITMAP16 *bmp_create( int w, int h );
BITMAP16 *bmp_load( char *fname );
int bmp_save( BITMAP16 *bmp, char *fname );
int bmp_putpixel( BITMAP16 *bmp, int x, int y, int c );
int bmp_getpixel( BITMAP16 *bmp, int x, int y );
void bmp_rect( BITMAP16 *bmp, int x1, int y1, int x2, int y2, int c );
void bmp_unpack( BITMAP16 *bmp );
/* void bmp_pack( BITMAP16 *bmp ); */

